## tiddit 2.12.2+dfsg

=== CMakeLists.txt ===


cmake_minimum_required (VERSION 2.6)
project(TIDDIT)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

add_definitions( -Wno-deprecated )

# set our library and executable destination dirs
set( EXECUTABLE_OUTPUT_PATH "${CMAKE_SOURCE_DIR}/bin" )

# define compiler flags for all code
set( CMAKE_BUILD_TYPE Release )

include_directories("${PROJECT_SOURCE_DIR}/src")
include_directories("${PROJECT_SOURCE_DIR}/lib/")
include_directories("${PROJECT_SOURCE_DIR}/lib/bamtools/src")


# source code
file(GLOB TIDDIT_FILES
    ${PROJECT_SOURCE_DIR}/src/TIDDIT.cpp
    ${PROJECT_SOURCE_DIR}/src/data_structures/Translocation.cpp
    ${PROJECT_SOURCE_DIR}/src/data_structures/findTranslocationsOnTheFly.cpp
    ${PROJECT_SOURCE_DIR}/src/common.h
    ${PROJECT_SOURCE_DIR}/src/data_structures/CoverageModule.cpp
)


add_subdirectory(lib)


# TIDDIT executable
add_executable(TIDDIT ${TIDDIT_FILES})
target_link_libraries(TIDDIT ${ZLIB_LIBRARIES})
target_link_libraries(TIDDIT  BamTools)

## tiddit 2.11.0+dfsg

=== debian/changelog ===
tiddit (2.11.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #961659)

 -- Andreas Tille <tille@debian.org>  Wed, 27 May 2020 13:22:28 +0200

=== debian/control ===
Source: tiddit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               dh-python,
               cython3,
               python3-dev,
               libbamtools-dev (>= 2.5.1+dfsg-6),
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/tiddit
Vcs-Git: https://salsa.debian.org/med-team/tiddit.git
Homepage: https://github.com/SciLifeLab/TIDDIT

Package: tiddit
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: structural variant calling
 TIDDIT is a tool to used to identify chromosomal rearrangements using
 Mate Pair or Paired End sequencing data. TIDDIT identifies intra and inter-
 chromosomal translocations, deletions, tandem-duplications and
 inversions, using supplementary alignments as well as discordant pairs.
 .
 TIDDIT has two analysis modules. The sv mode, which is used to search
 for structural variants. And the cov mode that analyse the read depth of
 a bam file and generates a coverage report.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo
	dh_auto_configure --sourcedirectory=src --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=src --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory=src --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_installman:
	dh_installman --language=C

### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	do_stuff_for_testing
#endif

## tiddit 2.12.0+dfsg

=== debian/changelog ===
tiddit (2.12.0+dfsg-3) unstable; urgency=medium

  * Team Upload.
  * Simplify autopkgtest (Closes: #964101)

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 06 Oct 2020 22:41:27 +0530

tiddit (2.12.0+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Install binaries
  * Fix finding binary location
  * Add manpages for missing binaries
  * Spelling Fix
  * Add autopkgtests

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 28 Jun 2020 16:10:07 +0530

tiddit (2.12.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jun 2020 22:08:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                dh-python,
                cython3,
@@ -14,6 +14,7 @@
 Vcs-Browser: https://salsa.debian.org/med-team/tiddit
 Vcs-Git: https://salsa.debian.org/med-team/tiddit.git
 Homepage: https://github.com/SciLifeLab/TIDDIT
+Rules-Requires-Root: no
 
 Package: tiddit
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, samtools, python3-numpy
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/SciLifeLab/TIDDIT/releases .*/archive/TIDDIT-@ANY_VERSION@\.tar\.gz

## tiddit 2.12.1+dfsg

=== debian/changelog ===
tiddit (2.12.1+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS (Closes: #997258)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 31 Oct 2021 00:24:32 +0530

tiddit (2.12.1+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Steffen Möller ]
  * Update metadata - added ref to bio.tools

  [ Nilesh Patra ]
  * d/watch: Fix watch regex
  * New upstream version 2.12.1+dfsg
  * Declare compliance with policy 4.5.1

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 22:56:14 +0530

## tiddit 2.12.2+dfsg

=== debian/changelog ===
tiddit (2.12.2+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:36:36 +0000

tiddit (2.12.2+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.12.2+dfsg
  * Remove remove-unused-function.patch, merged upstream

 -- Nilesh Patra <nilesh@debian.org>  Wed, 03 Nov 2021 20:57:43 +0530

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-dev,
                libbamtools-dev (>= 2.5.1+dfsg-6),
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/tiddit
 Vcs-Git: https://salsa.debian.org/med-team/tiddit.git
 Homepage: https://github.com/SciLifeLab/TIDDIT

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	dh_auto_configure --sourcedirectory=src --buildsystem=pybuild
 
 override_dh_auto_build:
+	sed -i 's/betwen/between/' src/data_structures/Translocation.cpp
 	dh_auto_build
 	dh_auto_build --sourcedirectory=src --buildsystem=pybuild

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/SciLifeLab/TIDDIT/releases .*/archive/.*/TIDDIT-@ANY_VERSION@\.tar\.gz

## tiddit 3.1.0+dfsg

=== debian/changelog ===
tiddit (3.1.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Adapt manpage to new binary name
  * Drop cmake drom Build-Depends, add python3-setuptools,
    python3-numpy to Build-Depends
  * Use pybuild build system
  * Fix manpages

  [ Nilesh Patra ]
  * Update test acc to updated binary
  * B-D on python3-all-dev to build bindings for all
    supported py versions
  * Remove use_debian_packaged_libs.patch as well since
    cmakelists.txt is redundant now
  * Remove B-D on libbamtools-dev and zlib1g, instead
    B-D on python3-pysam
  * Drop python3-numpy from test deps
  * Remove unused override
  * Add 2022 to copyr year
  * d/rules: Add "export PYBUILD_NAME=tiddit"

 -- Nilesh Patra <nilesh@debian.org>  Wed, 27 Jul 2022 00:29:45 +0530

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               cmake,
                dh-python,
                cython3,
-               python3-dev,
-               libbamtools-dev (>= 2.5.1+dfsg-6),
-               zlib1g-dev
-Standards-Version: 4.5.1
+               python3-all-dev,
+               python3-setuptools,
+               python3-numpy,
+               python3-pysam
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/tiddit
 Vcs-Git: https://salsa.debian.org/med-team/tiddit.git
 Homepage: https://github.com/SciLifeLab/TIDDIT

## tiddit 3.3.0+dfsg

=== debian/changelog ===
tiddit (3.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.3.0+dfsg
  * Add Depends on python3-joblib

 -- Nilesh Patra <nilesh@debian.org>  Fri, 19 Aug 2022 18:02:01 +0530

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/SciLifeLab/TIDDIT/releases .*/.*/TIDDIT-@ANY_VERSION@\.tar\.gz

## tiddit 3.3.2+dfsg

=== debian/changelog ===
tiddit (3.3.2+dfsg-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 19:39:58 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         python3-joblib
 Description: structural variant calling
  TIDDIT is a tool to used to identify chromosomal rearrangements using
  Mate Pair or Paired End sequencing data. TIDDIT identifies intra and inter-

## tiddit 3.4.0+dfsg

=== debian/changelog ===
tiddit (3.4.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 3.4.0+dfsg
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 Dec 2022 17:05:34 +0530

## tiddit 3.5.1+dfsg

=== debian/changelog ===
tiddit (3.5.1+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 3.5.1+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 Jan 2023 14:59:51 +0530

## tiddit 3.5.2%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=tiddit

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -f tiddit/*.c

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_installman:
	dh_installman --language=C

## tiddit 3.5.2+dfsg

=== debian/changelog ===
tiddit (3.5.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.5.2+dfsg
  * d/copyright: Update year to 2023

 -- Lance Lin <lq27267@gmail.com>  Mon, 13 Feb 2023 20:39:25 +0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-setuptools,
                python3-numpy,
                python3-pysam
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/tiddit
 Vcs-Git: https://salsa.debian.org/med-team/tiddit.git
 Homepage: https://github.com/SciLifeLab/TIDDIT

## tiddit 3.6.0+dfsg

=== debian/changelog ===
tiddit (3.6.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 10:07:13 +0100

tiddit (3.6.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 3.6.0+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Jun 2023 22:58:21 +0530

## tiddit 3.6.1%2Bdfsg

=== debian/changelog ===
tiddit (3.6.1+dfsg-2build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:29:32 +0000

tiddit (3.6.1+dfsg-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 16:30:46 +0000

tiddit (3.6.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/rules: invoke dh_numpy3 to include ABI dependencies. (Closes: #1095285)
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sat, 08 Feb 2025 18:51:43 +0100

tiddit (3.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2023 21:29:47 +0100

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/SciLifeLab/TIDDIT/tags .*/TIDDIT-@ANY_VERSION@\.tar\.gz

## tiddit 3.6.1+dfsg

=== debian/changelog ===
tiddit (3.6.1+dfsg-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:41:12 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                cython3,
                python3-all-dev,
                python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export PYBUILD_NAME=tiddit
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean
